function Create(self)
	self.turretRight = CreateACrab("Relic Turret Right","Relic.rte");
	self.turretRight.Pos = Vector(self.Pos.X,self.Pos.Y);
	self.turretRight.Vel = self.Vel;
	self.turretRight.Team = self.Team;
	MovableMan:AddActor(self.turretRight);
	
	self.turretLeft = CreateACrab("Relic Turret Left","Relic.rte");
	self.turretLeft.Pos = Vector(self.Pos.X,self.Pos.Y);
	self.turretLeft.Vel = self.Vel;
	self.turretLeft.Team = self.Team;
	MovableMan:AddActor(self.turretLeft);
	
	self.theta = 1.0;
	self.ReloadTimer = Timer();
	self.CycleTimer = Timer();
	self.BarrageCount = 0;
end

function Destroy(self)
	if MovableMan:IsActor(self.turretRight) then
		if self.turretRight.Pos.Y < 0 then
			self.turretRight.ToDelete = true
		else
			self.turretRight:GibThis()
		end
	end
	
	if MovableMan:IsActor(self.turretLeft) then
		if self.turretLeft.Pos.Y < 0 then
			self.turretLeft.ToDelete = true
		else
			self.turretLeft:GibThis()
		end
	end
	
end

function Update(self)
	if MovableMan:IsActor(self.turretRight) == true then
		self.turretRight.Pos = Vector(self.Pos.X,self.Pos.Y);
		self.turretRight.Vel = self.Vel;
		self.turretRight.RotAngle = self.RotAngle;
	end
	
	if MovableMan:IsActor(self.turretLeft) == true then
		self.turretLeft.Pos = Vector(self.Pos.X,self.Pos.Y);
		self.turretLeft.Vel = self.Vel;
		self.turretLeft.RotAngle = self.RotAngle;
	end
	
	if self:GetController():IsState(Controller.WEAPON_FIRE) and self.ReloadTimer:IsPastSimMS(7000) then
		self.BarrageCount = 6;
		self.CycleTimer:Reset();
		self.ReloadTimer:Reset();
	end
	
	if self.BarrageCount > 0 and self.CycleTimer:IsPastSimMS(250) then
		self.CycleTimer:Reset();
		local missile = CreateAEmitter("Relic Guided Rocket");
		missile.Pos = self.Pos + Vector(math.sin(self.RotAngle)*40,math.cos(self.RotAngle)*-40);
		missile.Vel =  Vector(math.cos(self.theta)*10,math.sin(self.theta)*-10);
		MovableMan:AddItem(missile);
		self.BarrageCount = self.BarrageCount - 1;
	end
	if self.theta == 1 then
		self.theta = 3.14 - 1;
	else
		self.theta = 1;
	end
end